Actualizaciones Broke Mongo, Ubuntu 14.04 -- 14.04 campo con updates campo con mongodb camp askubuntu Relacionados El problema

Updates broke Mongo, Ubuntu 14.04


1
vote

problema

Español

Corrí el actualizador de software y ahora no puedo usar Mongo en absoluto. Mi servidor local dice que está conectando, pero cualquier consulta me da

  ABCDEFGHIJKLMNABCDEFGHIJKLMN9   

e incluso ejecutar mp30 en el shell Mongo me da

  mp31  
Original en ingles

I ran the software updater and now I can't use Mongo at all. My local server says it's connecting but any query gives me

'MongoError: exception: _extentManager.init failed: InternalError DataFile::openExisting - mmf.open failed' 

and even running show dbs in the mongo shell gives me

listDatabases failed:{ "errmsg" : "exception: _extentManager.init failed: InternalError DataFile::openExisting - mmf.open failed", "code" : 16966, "ok" : 0 } at src/mongo/shell/mongo.js:47 
        

Lista de respuestas

1
 
vote

Tuve Mongo 2.6.7 antes de la actualización. Se rompió y no pude encontrar nada en Google con respecto al problema.

Solución: Estoy totalmente desinstalado Mongo y luego se reinstaló a partir de los repositorios predeterminados de Ubuntu. Se instala 2.4.9, pero nuevamente funciona sin problemas.

BONISTO: Debe preservar sus bases de datos existentes. Siempre respalde las cosas si puede y no hago promesas, pero mis bases de datos aún estaban allí, incluso después de desinstalar y reinstalar.

Actualización: Todo esto fue con Ubuntu 14.04 de 32 bits. Cambié a 64 bits y dl'ed Mongo de nuevo. Ahora me está dando 3.0.3 del repo de Ubuntu predeterminado y todo funciona bien. IDK si mantienen repositores separados para cada versión o si simplemente se actualizan recientemente.

 

I had Mongo 2.6.7 before the update. It broke and I couldn't find anything on google regarding the problem.

Solution: I totally uninstalled Mongo and then reinstalled from the default Ubuntu repositories. It installs 2.4.9, but it works again with no problems.

Bonus: It should preserve your existing databases. Always back things up if you can and I make no promises, but my databases were still there even after fully uninstalling and reinstalling.

Update: This was all with Ubuntu 14.04 32-bit. I switched to 64-bit and dl'ed Mongo again. Now it's giving me 3.0.3 from the default Ubuntu repo and everything works just fine. Idk if they maintain separate repos for each version or if they just updated recently.

 
 

Relacionados problema

17  ¿Cómo puedo desinstalar completamente MongoDB 2.6.3?  ( How can i completely uninstall mongodb 2 6 3 ) 
Estoy ejecutando el siguiente comando: ABCDEFGHIJKLMNABCDEFGHIJKLMN5 y está dando esta salida: Reading package lists... Done Building dependency tree...

52  MongoDB 2.6 no se inicia en Ubuntu 15.04  ( Mongodb 2 6 does not start on ubuntu 15 04 ) 
i instalado MongoDB 2.6 en Ubuntu 15.04: sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 7F0CEB10 echo 'deb http://downloads-distro.mon...

5  No se puede instalar en MongoDB  ( Unable to install in mongodb ) 
Estoy tring para instalar mongodb , pero se ha fallado nuevamente y nuevamente. Estoy recibiendo un error siguiente: mongodb is not found. i Usando el...

52  ¿Cómo modifico "/ sys / kernel / mm / transparent_hugepage / habilitado"  ( How do i modify sys kernel mm transparent hugepage enabled ) 
Yo uso MongoDB 3.0 y encuentro una advertencia: MongoDB shell version: 3.0.0 connecting to: test Server has startup warnings: 2015-03-13T16:28:29.405+0800...

2  ¿Cuál es el valor del sesgo en la replicación de la base de datos Mongo DB?  ( What is skew value in mongo db database replication ) 
Acabo de comenzar los tres servidores de replicación de Mongodb. No entiendo qué es este valor de tornillo ¿Qué debería ser en qué servidor? qué valores ...

0  Ejecutar una aplicación de nodo en Ubuntu  ( Running a node app in ubuntu ) 
Tengo una aplicación de nodos que básicamente ejecuta en 4 pasos ya que también necesito ejecutar Mongodb y Redis: mongod --config=/etc/mongod.conf service...

0  No se pueden solucionar errores: tiene paquetes rotos fijos [duplicados]  ( Unable to fix errors you have broken packages fixed ) 
Esta pregunta ya tiene respuestas aquí : ¿Cómo restaño los repositorios predeterminados? ...

95  ¿Cómo iniciar el servidor Mongodb en el inicio del sistema?  ( How to start mongodb server on system start ) 
Tengo que iniciar mi servidor MongoDB cada vez que se reinicia el sistema. ¿Cómo lo configuro para comenzar con mi sistema operativo? Estoy en Ubuntu 11.04. ...

1  Error de Mongstat: no autorizado en el administrador para ejecutar el comando {serverstatus: 1, grabador: 0}  ( Mongstat failed not authorized on admin to execute command serverstatus 1 r ) 
Después de agregar autenticación de autenticación MongoDB, no puede usar Mongostat, con el siguiente error: Error: no autorizado en el administrador para ejec...

2  Versión de instalación PHP-MONGODB  ( Php mongodb instalation version ) 
Yo uso sudo apt-get install php-mongodb y espero obtener una versión 1.6 de la extensión PHP Mongodb, pero obtener 1.3.4 Actualización de APT-GET, AP...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos